
// Copyright (C) 2008 - INRIA - Michael Baudin
// Copyright (C) 2009 - Digiteo - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

extern "C" {
#include "stack-c.h" 
#include "Scierror.h"
#include "localization.h"
#include "gw_nisp.h"
}


/* ==================================================================== */

#include "nisp_gwsupport.hxx" 
#include "nisp_PolynomialChaos_map.hxx" 
#include "nisp_SetRandomVariable_map.hxx" 


/* ==================================================================== */
// 
// polychaos_generatecode ( token , filename , funname )
//   generates the source code to compute the polynomial chaos into the file filename.
//   The generated function name is funname.
//
int sci_polychaos_generatecode (char *fname)
{
	int token;
	PolynomialChaos * pc = NULL;
	char * filename = NULL;
	char * funname = NULL;

	CheckRhs(3,3) ;
	CheckLhs(0,1) ;
	nispgw_gettoken ( fname , 1 , &token );
	nispgw_GetOneChar ( fname , 2 , &filename );
	nispgw_GetOneChar ( fname , 3 , &funname );
	nispgw_token2Polychaos ( fname , 1 , token , &pc );
	pc-> GenerateCode ( filename , funname );
	nispgw_CreateLhsInteger ( 1 , token );
	return 0;
}
/* ==================================================================== */

